=== debian/changelog ===
debian-reference (2.10ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 01 Sep 2008 11:47:08 +0200

debian-reference (2.10) unstable; urgency=low

  * Fixed bug in mkindexhtml when $HTML_INSTALLED = 0. Closes: 497266
  * Fixed typo in English.

 -- Osamu Aoki <osamu@debian.org>  Sun, 31 Aug 2008 22:42:30 +0900

debian-reference (2.09ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 26 Aug 2008 00:50:17 +0100

debian-reference (2.09) unstable; urgency=low

  * Fixed example.org to example.com and umask table. Closes: 495291
  * Updated "Erase entire harddisk", "Small public package archive", 
    "Customizing program to be started", "The sound infrastructure", "Web
    browsers in X", and chapter titles. 

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Aug 2008 22:37:43 +0900

debian-reference (2.08ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 15 Aug 2008 13:07:45 +0200

debian-reference (2.08) unstable; urgency=low

  * Added git repository reference in control file.
  * Fixed error in chroot setup description and added warning for bind mount.
  * Fixed URL in debian-reference manpages as s#file:/#file:///#g . 
  * Updated English version on mailcap, MTU, "small public archive generation
    for secure APT", and many spell corrections. 
  * Dropped APT HOWTO reference. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Aug 2008 14:58:25 +0900

debian-reference (2.07ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 29 Jul 2008 21:16:57 +0200

debian-reference (2.07) unstable; urgency=low

  * Updated English version on dist-upgrade etc.

 -- Osamu Aoki <osamu@debian.org>  Thu, 17 Jul 2008 23:36:26 +0900

debian-reference (2.06) unstable; urgency=low

  * Updated English version on apt_preferences issues for readability.

 -- Osamu Aoki <osamu@debian.org>  Mon, 14 Jul 2008 00:16:35 +0900

debian-reference (2.05) unstable; urgency=low

  * Adjusted dependency.
  * Updated English version on apt_preferences issues while mentioning
    currently not so obvious "NotAutomatic: yes" archive effects.

 -- Osamu Aoki <osamu@debian.org>  Wed, 09 Jul 2008 23:35:23 +0900

debian-reference (2.04ubuntu1) intrepid; urgency=low

  * debian/control:
    - Replace locales-all with locales, Ubuntu does not ship it.
    - Update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 11 Jul 2008 20:44:34 +0200

debian-reference (2.04) unstable; urgency=low

  * Refined postrm script and index generation.
  * Updated English version on aptitude and locale. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Jun 2008 07:21:44 +0900

debian-reference (2.03) unstable; urgency=low

  * Updated postinst to clean directories from old version.
    Closes: 483929
  * Updated README to explain translation status. Closes: 484061
  * Mentioned exiqgrep and/or exipick. Closes: 378685
  * Mentioned sound configuration for ALSA. Closes: 403755

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Jun 2008 22:17:31 +0900

debian-reference (2.02) unstable; urgency=low

  * Fixed build script to add graphics and style sheet. 
  * Added replaces for smooth upgrade. 
  * Builded text file from HTML (debiandoc2text is broken under UTF-8
    for multi byte characters)
  * Added docbook-xml and docbook. 
  * w3m under UTF-8 but perl under C.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Jun 2008 14:01:27 +0900

debian-reference (2.01) unstable; urgency=low

  * New source created from http://wiki.debian.org/DebianReference
    is imported as XML source for English. Closes: 295292
  * Fixed URL references related to file:///usr/share/doc/ for SGML
    build.  Closes: 476146
  * New makefile.
  * Documents are available only in HTML and plain text.
  * All translated document has been based on the last available 
    English version or the one before in SGML format.  Encodings
    has been adjusted to use UTF-8.
  * Directory names changed to match UTF-8 locales.
  * Manpages converted to UTF-8.
  * Converted polish quotes to proper UTF-8 characters.
  * Fixed Latin1 characters in non-Latin1 lacales in UTF-8.
  * I removed building support for short version named quick-reference-* 
    and PS/PDF documents to streamline XML transition.
  * Organized files into /usr/share/doc/debian-reference-common.
  * Removed old examples.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Jun 2008 00:16:16 +0900

debian-reference (1.12) unstable; urgency=low

  * Update Build to the new texlive and ghostscript chain.
  * Fixed zh-cn appendix by removing invalid character.
  * Removed references to dhcp-dns for all languages.  (closes: 355350)
  * Fixed broken links for less. (closes: 411349)
  * Added icon to the menu. (closes: 417857)
  * Updated Alt-Sysrq description for all languages. (closes: 442512)
  * Updated subversion description for all languages. (closes: 460516)

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jan 2008 17:50:59 +0900
