=== wiki/Makefile ===
--- 
+++ 
@@ -114,6 +114,7 @@
 	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">" >> $@
 	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">" >> $@
 	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">" >> $@
+	echo "<!ENTITY pop-postscript \"Not applicable\">" >> $@
 	grep -e '^Package:' $< | grep -f pkgpop.lst | $(PBIN)/popconent $(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < $< ) >> $@
 	echo done $@
 
@@ -145,9 +146,9 @@
 common.ent:
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">" > $@
 	echo "<!ENTITY arch \"$(ARCH)\">" >> $@
-	echo "<!ENTITY codename-stable   \"etch\">" >> $@
-	echo "<!ENTITY codename-testing  \"lenny\">" >> $@
-	echo "<!ENTITY codename-nexttesting  \"lenny+1\">" >> $@
+	echo "<!ENTITY codename-stable   \"lenny\">" >> $@
+	echo "<!ENTITY codename-testing  \"squeeze\">" >> $@
+	echo "<!ENTITY codename-nexttesting  \"squeeze+1\">" >> $@
 	echo "<!ENTITY codename-unstable \"sid\">" >> $@
 	echo done $@
 
@@ -187,6 +188,12 @@
 diff: $(patsubst %, %.diff, $(WPAGE))
 	ls -l $^ >$@
 	gedit $@ $^
+
+# $$ needed for the doller sign in Makefile
+.PHONY: url
+url:
+	awk '{ print $$2}' <urls.ent |uniq -d
+	awk '{ print $$3}' <urls.ent |sed 's/>$$//' |xargs -n1 wget -O /dev/null -nv
 
 .PHONY: clean wikiclean distclean
 clean:
