=== debian/changelog ===
debian-reference (2.24) unstable; urgency=low

  * Updated "Network setup" chapter with focus on NetworkManager, wicd, 
    iproute2, and netfilter.
  * Updated "System tips" chapter with focus on etckeeper, fsck, mkfs,
    tune2fs, mount, strace, fuser, wall, etc.
  * Retitled"The time" to "System and hardware time".
  * Updated "Getting root in X" by changing it to "Running X clients as root".
  * Updated with many minor big fixes per Tim Richardson.
  * Updated popcon and package size data.

 -- Osamu Aoki <osamu@debian.org>  Sun, 18 Jan 2009 02:32:41 +0900

debian-reference (2.23) unstable; urgency=low

  * Fixed BTS URL per Aaron Valdes. Closes: 509998
  * Updated "Setting up desktop environment" with new subsections.
  * Added "X applications" with subsections.
  * Added "List files opened by a process".
  * Added "File integrity check".
  * Updated "Unix text tools", "Basics of SSH", "Graphic data tools", etc.
  * Fixed broken table of "List of key web site to resolving problems with a
    specific package." per Paul.

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2009 22:07:45 +0900

debian-reference (2.22) unstable; urgency=low

  * Updated to make this build smooth on Ubuntu. Closes: 509163
  * Updated screen related contents.
  * Fixed regex of gnupg script example.
  * Added section for "NetworkManager" and "Colorized shell echo".
  * Updated git command style and mentioned sort order w.r.t. locale.
  * Updated popcon and package size data and removed reference to 
    removed packages.

 -- Osamu Aoki <osamu@debian.org>  Sat, 27 Dec 2008 01:13:05 +0900

debian-reference (2.21) unstable; urgency=low

  * Updated all URLs after checking each connection.
  * Updated popcon and package size data.
  * Updated SSH and mentioned Alioth service.  

 -- Osamu Aoki <osamu@debian.org>  Sun, 14 Dec 2008 02:39:23 +0900

debian-reference (2.20) unstable; urgency=low

  * Added "Automatically mounting eCryptfs" and updated related issues.
  * Added "Stricter password rule".

 -- Osamu Aoki <osamu@debian.org>  Sun, 07 Dec 2008 00:28:11 +0900

debian-reference (2.19) unstable; urgency=low

  * Updated popcon and package size data.
  * Updated "Verify installed package files" to mention limitation of debsums.
  * Refined "Data management" chapter etc.

 -- Osamu Aoki <osamu@debian.org>  Mon, 01 Dec 2008 00:00:29 +0900

debian-reference (2.18) unstable; urgency=low

  * Added "Idioms for the selection of files", "Backup suite utilities",
    and "View and edit binary data".
  * Corrected "The script snippets for piping commands" table.
  * Reorganized order of sections and fixed minor details. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Nov 2008 02:38:27 +0900

debian-reference (2.17) unstable; urgency=low

  * Split "Performance optimization of harddisk" into "Optimization of
    filesystem" and "Optimization of harddisk".
  * Added "Data encryption tips" and adjusted "Data security infrastructure".
  * Added grub-rescue-pc references.

 -- Osamu Aoki <osamu@debian.org>  Thu, 13 Nov 2008 00:39:54 +0900

debian-reference (2.16) unstable; urgency=low

  * Fixed Isolinux/Syslinux mixup.
  * Replaced "Storage device hints" with "Data storage tips", expanded its
    contents with UUID and aufs references, and reorganized.
  * Updated removable media related information. 
  * Refined "Debian package management" chapter and mentioned new long form
    for aptitude regex.

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Nov 2008 00:31:29 +0900

debian-reference (2.15) unstable; urgency=low

  * Added "Proxy server for APT".
  * Added Debian mirror status site reference and avoided to use
    ftp.us.debian.org as example.
  * Updated mount point info, package recompilation info, etc.
  * Updated GRUB description for GRUB 2, commpression packages and source
    package format.

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 Oct 2008 10:14:53 +0900

debian-reference (2.14) unstable; urgency=low

  * Updated release names for lenny release in mind with adjusted text.

 -- Osamu Aoki <osamu@debian.org>  Tue, 07 Oct 2008 23:19:09 +0900

debian-reference (2.13) unstable; urgency=low

  * Added "Disk encryption with dm-crypto/LUKS".
  * Updated "Other virtualization tools". 

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Oct 2008 13:11:08 +0900

debian-reference (2.12) unstable; urgency=low

  * Moved "Web browsers in X" in "The X window system" chapter to 
    "Web browsers" in "Network applications" chapter and updated.
  * Moved "Purge removed packages for good" section and updated.
  * Added "Searching all hardlinks" section.
  * Updated release name list and other document contents.
  * Mentioned HTTP proxy servers.

 -- Osamu Aoki <osamu@debian.org>  Thu, 02 Oct 2008 22:58:31 +0900

debian-reference (2.11) unstable; urgency=low

  * Updated "Fonts in the X Window". 

 -- Osamu Aoki <osamu@debian.org>  Mon, 15 Sep 2008 00:02:46 +0900
