=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debian-reference
 Section: doc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: debiandoc-sgml (>= 1.2.9), w3m (>= 0.3), xsltproc, docbook-xsl, docbook-xml, docbook, locales
+Build-Depends-Indep: debiandoc-sgml (>= 1.2.9), w3m (>= 0.3), xsltproc, docbook-xsl, docbook-xml, docbook, locales-all | locales
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/~osamu/debian-reference.git
 Homepage: http://wiki.debian.org/DebianReference/
